## Add Arrows to a Plot

## Usage

    arrows(x0, y0, x1, y1, length = 0.25, angle = 30, code = 2,
           col = par("fg"), lty = NULL, xpd = FALSE)
    segments(x0, y0, x1, y1,
           col = par("fg"), lty = par("lty"), xpd = FALSE)

## Arguments

`x0,y0` | coordinates of points from which to draw.
`x1,y1` | coordinates of points to which to draw.
`length` | length of the edges of the arrow head (in inches).
`angle` | angle from the shaft of the arrow to the edge of the arrow head.
`code` | integer code, determining kind of arrows to be drawn.
`col, lty, xpd` | usual graphical parameters as in `par`.

## Description

`segments` draws a line segment and `arrows` draws an arrow between the point `(x0[i], y0[i])` and the point `(x1[i],y1[i])`. If `code=2` an arrowhead is drawn at `(x0[i],y0[i])` and if `code=1` an arrowhead is drawn at `(x1[i],y1[i])`. If `code=3` a head is drawn at both ends of the arrow.

The graphical parameters `col` and `lty` can be used to specify a color an line texture for the line segments which make up the segments or arrows (`col` may be a vector).

## See Also

`polygon` for slightly easier and less flexible line drawing and `lines` for the usual polygons.

## Examples

    x <- runif(12); y <- rnorm(12)
    i <- order(x,y); x <- x[i]; y <- y[i]
    plot(x,y, main="arrows(.) and segments(.)")
    ## draw arrows from point to point :
    s <- seq(length(x)-1)# one shorter than data
    arrows(x[s], y[s], x[s+1], y[s+1], col= 1:3)
    s <- s[-length(s)]
    segments(x[s], y[s], x[s+2], y[s+2], col= 'pink')

[Package Contents]